﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.0.77
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.RelatedItems
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.0.77")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("RelatedItems")]
    public partial class RelatedItemsFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "RelatedItems.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "RelatedItems", "", ProgrammingLanguage.CSharp, ((string[])(null)));
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Adjust Related Items Markup")]
        [NUnit.Framework.CategoryAttribute("RelatedItems")]
        public virtual void AdjustRelatedItemsMarkup()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Adjust Related Items Markup", new string[] {
                        "RelatedItems"});
#line 4
this.ScenarioSetup(scenarioInfo);
#line 5
    testRunner.When("Related Items markup for Sku \'100150\' with value 8.90 was adjusted", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 6
    testRunner.Then("Single SKU \'100150\' has this week units transfered of 6", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 7
    testRunner.And("Single SKU \'100150\' has this week to Date Markup of 8.90", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 8
    testRunner.And("Single SKU \'100150\' has this period to Date Markup of 23.95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 9
    testRunner.And("Single SKU \'100150\' has this year to Date Markup 23.95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Adjust Singles Sold Not Updated Yet")]
        public virtual void AdjustSinglesSoldNotUpdatedYet()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Adjust Singles Sold Not Updated Yet", ((string[])(null)));
#line 11
this.ScenarioSetup(scenarioInfo);
#line 12
    testRunner.When("Number of Singles sold not updated yet for SKU \'100157\' was adjusted", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 13
    testRunner.Then("Single SKU \'100157\' has this singles sold not Updated Yet Value -10", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Adjust Stock For Pack Split")]
        public virtual void AdjustStockForPackSplit()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Adjust Stock For Pack Split", ((string[])(null)));
#line 15
this.ScenarioSetup(scenarioInfo);
#line 16
    testRunner.When("Stock for Pack Split for SKU \'100004\' with quantity 7 of value 12.34 was adjusted" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 17
    testRunner.Then("Single SKU \'100004\' has Units On Hand of quantity 12", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 18
    testRunner.Then("Single SKU \'100004\' has this Bulk To Single Transfer quantity of 7", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 19
    testRunner.Then("Single SKU \'100004\' has this Bulk To Single Transfer value of 12.34", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Adjust Units Sold In Current Week")]
        public virtual void AdjustUnitsSoldInCurrentWeek()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Adjust Units Sold In Current Week", ((string[])(null)));
#line 21
this.ScenarioSetup(scenarioInfo);
#line 22
    testRunner.When("Units Sold in current week for Sku \'100005\' with quantity of 8 were adjusted", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 23
    testRunner.And("Units Sold in current week for Sku \'100006\' with quantity of -3 were adjusted", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 24
    testRunner.Then("Single SKU \'100005\' has this Units Sold in Current Week number of 8", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 25
    testRunner.And("Single SKU \'100006\' has this Units Sold in Current Week number of -3", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Get Related Items Requiring Adjustments")]
        public virtual void GetRelatedItemsRequiringAdjustments()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Get Related Items Requiring Adjustments", ((string[])(null)));
#line 27
this.ScenarioSetup(scenarioInfo);
#line 28
    testRunner.When("Related Items Requiring Adjustments were selected", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line hidden
            TechTalk.SpecFlow.Table table1 = new TechTalk.SpecFlow.Table(new string[] {
                        "SKU Number",
                        "Price",
                        "On Hand Quantity",
                        "Pack SKU Number",
                        "Pack Price",
                        "Pack On Hand Quantity",
                        "Item Pack Size"});
            table1.AddRow(new string[] {
                        "100147",
                        "4.83",
                        "< 0",
                        "158058",
                        "28.98",
                        "> 0",
                        "6"});
            table1.AddRow(new string[] {
                        "100147",
                        "4.83",
                        "-5",
                        "158058",
                        "28.98",
                        "10",
                        "6"});
            table1.AddRow(new string[] {
                        "100149",
                        "5.49",
                        "< 0",
                        "158057",
                        "14.99",
                        "> 0",
                        "4"});
            table1.AddRow(new string[] {
                        "100151",
                        "6.30",
                        "< 0",
                        "225301",
                        "37.77",
                        "> 0",
                        "5"});
#line 29
    testRunner.Then("Selected Items are:", ((string)(null)), table1, "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Split Bulk To Single Items")]
        public virtual void SplitBulkToSingleItems()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Split Bulk To Single Items", ((string[])(null)));
#line 36
this.ScenarioSetup(scenarioInfo);
#line hidden
            TechTalk.SpecFlow.Table table2 = new TechTalk.SpecFlow.Table(new string[] {
                        "SKU Number",
                        "Price",
                        "Pack SKU Number",
                        "Pack Price"});
            table2.AddRow(new string[] {
                        "100147",
                        "4.83",
                        "158058",
                        "28.98"});
            table2.AddRow(new string[] {
                        "100149",
                        "5.49",
                        "158057",
                        "14.99"});
            table2.AddRow(new string[] {
                        "100151",
                        "6.30",
                        "225301",
                        "37.77"});
            table2.AddRow(new string[] {
                        "100153",
                        "5.30",
                        "225302",
                        "17.77"});
            table2.AddRow(new string[] {
                        "100152",
                        "1.30",
                        "215613",
                        "7.77"});
#line 37
    testRunner.Given("There were next Related Items:", ((string)(null)), table2, "Given ");
#line 44
    testRunner.And("User was 999 and Workstation Id was 1 and Security Level was 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 45
    testRunner.And("Empty STHOT file existed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 46
    testRunner.When("Related Item Packs were splited", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 47
    testRunner.Then("Stock Log Entry for Single SKU \'100147\' has Quantity Update of 6", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 48
    testRunner.And("Stock Log Entry for Pack SKU \'158058\' has Quantity Update of -1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 49
    testRunner.And("Single Sku \'100147\' Units On Hand quantity is 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 50
    testRunner.And("Pack Sku \'158058\' Units On Hand quantity is 9", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 51
    testRunner.And("Stock Log Entry for Single SKU \'100149\' has Quantity Update of 8", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 52
    testRunner.And("Stock Log Entry for Pack SKU \'158057\' has Quantity Update of -2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 53
    testRunner.And("Single Sku \'100149\' Units On Hand quantity is 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 54
    testRunner.And("Pack Sku \'158057\' Units On Hand quantity is 29", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 55
    testRunner.And("Stock Log Entry for Single SKU \'100151\' has Quantity Update of 15", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 56
    testRunner.And("Stock Log Entry for Pack SKU \'225301\' has Quantity Update of -3", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 57
    testRunner.And("Single Sku \'100151\' Units On Hand quantity is 3", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 58
    testRunner.And("Pack Sku \'225301\' Units On Hand quantity is -1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 59
    testRunner.And("Single Sku \'100153\' Units On Hand quantity is 0", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 60
    testRunner.And("Pack Sku \'225302\' Units On Hand quantity is 10", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 61
    testRunner.And("Single Sku \'100152\' Units On Hand quantity is 3", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 62
    testRunner.And("Pack Sku \'215613\' Units On Hand quantity is 19", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            TechTalk.SpecFlow.Table table3 = new TechTalk.SpecFlow.Table(new string[] {
                        "Single SKU Number",
                        "Record Type",
                        "Transaction Date",
                        "Hash Value",
                        "Single SKU Code",
                        "Single Sku Adjustment Quantity",
                        "Pack Sku Code",
                        "Pack Sku Adjustment Quantity",
                        "Pack Sku Price",
                        "Single Sku Price"});
            table3.AddRow(new string[] {
                        "100147",
                        "BS",
                        "yesterday",
                        "6",
                        "100147",
                        "6",
                        "158058",
                        "-1",
                        "28.98",
                        "4.83"});
            table3.AddRow(new string[] {
                        "100149",
                        "BS",
                        "yesterday",
                        "8",
                        "100149",
                        "8",
                        "158057",
                        "-2",
                        "14.99",
                        "5.49"});
            table3.AddRow(new string[] {
                        "100151",
                        "BS",
                        "yesterday",
                        "15",
                        "100151",
                        "15",
                        "225301",
                        "-3",
                        "37.77",
                        "6.30"});
#line 63
    testRunner.And("Sthot file contains records with next data:", ((string)(null)), table3, "And ");
#line 68
    testRunner.And("Sthot record for SKU \'100153\' doesn\'t exist", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 69
    testRunner.And("Sthot record for SKU \'100152\' doesn\'t exist", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
